package test;
import javax.swing.JFrame;
import javax.swing.JPanel;
public class SpriteFrame extends JFrame{
	public JPanel panel;
	public SpriteFrame(JPanel panel){//引数のパネルを持つフレームを生成
		this.panel = panel;
		this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);//閉じたら終了
		this.setContentPane(panel);//フレーム内のルートパネルを生成して指定
		this.setResizable(false);//ユーザがこのフレームのサイズを変更できなく設定します。
		this.pack();//上記の後で包む処理（パック）をしないと、サイズが合わせられない。
		this.setVisible(true);//表示
	}
	public static void main(String[] args) throws InterruptedException {
		new SpriteFrame(new JPanel());//生成パネルを入れたSpriteFrameのフレームを生成して表示
	}
}
